import { jsx } from "react/jsx-runtime";
import { ImageSquare as ImageSquare$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ImageSquare = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ImageSquare", ...props, children: /* @__PURE__ */ jsx(ImageSquare$1, { weight: variant }) });
  }
);
ImageSquare.displayName = "ImageSquare";
Object.assign(ImageSquare, { isGdsIcon: true });
export {
  ImageSquare
};
